Package org.eclipse.emf.cdo.common.branch

# Interface CDOBranchTag

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDONameProvider`, `CDOTimeProvider`, `Comparable<CDOBranchTag>`

public interface CDOBranchTag extends CDOBranchPoint, CDONameProvider, Comparable<CDOBranchTag>
A persistent, named `branch point`.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOBranchTag.TagDeletedEvent`
A `tag event` fired when a branch tag was deleted.
`static interface`
`CDOBranchTag.TagEvent`
An `event` fired from a `branch tag`.
`static interface`
`CDOBranchTag.TagMovedEvent`
A `tag event` fired when a branch tag was moved.
`static interface`
`CDOBranchTag.TagRenamedEvent`
A `tag event` fired when a branch tag was renamed.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
`CDOBranchManager`
`getBranchManager()`
Returns the branch manager that manages this branch, never `null`.
`String`
`getName()`
Returns the name of this branch tag.
`boolean`
`isDeleted()`
`void`
`move(CDOBranchPoint branchPoint)`
`void`
`setName(String name)`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getBranchManager

CDOBranchManager getBranchManager()
Returns the branch manager that manages this branch, never `null`.

Since:
  4.11

### getName

String getName()
Returns the name of this branch tag.

Specified by:
  `getName` in interface `CDONameProvider`

### setName

void setName(String name)

Since:
  4.11

### move

void move(CDOBranchPoint branchPoint)

Since:
  4.11

### delete

void delete()

Since:
  4.11

### isDeleted

boolean isDeleted()

Since:
  4.11